org.eclipse.wst.jsdt.chromium.debug.ui

## Class WizardUtils.NextPageEnabler

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.WizardUtils.NextPageEnabler

All Implemented Interfaces:
  DialogUtils.ScopeEnabler

Enclosing class:
  WizardUtils

    public static class WizardUtils.NextPageEnabler
    extends java.lang.Object
    implements DialogUtils.ScopeEnabler

A utility class that ties `DialogUtils.Updater` together with `WizardUtils.LogicBasedWizard`. It is plugged into `DialogUtils.Updater` as a `DialogUtils.ScopeEnabler` and controls the link to next page reference accordingly.

### Constructor Summary

Constructors
Constructor and Description
`NextPageEnabler(WizardUtils.PageImpl<?> basePage, WizardUtils.PageImpl<?> nextPage)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setEnabled(boolean enabled, boolean recursive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NextPageEnabler

    public NextPageEnabler(WizardUtils.PageImpl<?> basePage,
                           WizardUtils.PageImpl<?> nextPage)

### Method Detail

#### setEnabled

    public void setEnabled(boolean enabled,
                           boolean recursive)

Specified by:
  `setEnabled` in interface `DialogUtils.ScopeEnabler`